[jboss-cvs] JBoss Messaging SVN: r5343 - in branches/Branch_1_4: tests/bin and 1 other directory.

jboss-cvs-commits at lists.jboss.org jboss-cvs-commits at lists.jboss.org
Wed Nov 12 12:03:05 EST 2008


Author: clebert.suconic at jboss.com
Date: 2008-11-12 12:03:05 -0500 (Wed, 12 Nov 2008)
New Revision: 5343

Added:
   branches/Branch_1_4/tests/bin/loop-clustered
Modified:
   branches/Branch_1_4/build-thirdparty-AS5.xml
Log:
Setting thirdparty to snapshot as a test

Modified: branches/Branch_1_4/build-thirdparty-AS5.xml
===================================================================
--- branches/Branch_1_4/build-thirdparty-AS5.xml	2008-11-12 16:21:39 UTC (rev 5342)
+++ branches/Branch_1_4/build-thirdparty-AS5.xml	2008-11-12 17:03:05 UTC (rev 5343)
@@ -85,7 +85,7 @@
       <componentref name="oswego-concurrent" version="1.3.4-jboss-update1"/>
       <componentref name="apache-log4j" version="1.2.14"/>
       <componentref name="javassist" version="3.9.0.GA"/>
-      <componentref name="jgroups" version="2.6.6.GA"/>
+      <componentref name="jgroups" version="snapshot"/>
       <componentref name="trove" version="1.0.2"/>
       <componentref name="jboss/common-core" version="2.2.8.GA"/>
       <componentref name="jboss/common-logging-jdk" version="2.0.2.GA"/>

Added: branches/Branch_1_4/tests/bin/loop-clustered
===================================================================
--- branches/Branch_1_4/tests/bin/loop-clustered	                        (rev 0)
+++ branches/Branch_1_4/tests/bin/loop-clustered	2008-11-12 17:03:05 UTC (rev 5343)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+
+count=5000
+i=0
+
+while [ $i -lt $count ]; do
+	i=`expr $i + 1`
+   echo "#############################################"
+   echo "#                                           #"
+	echo "#         Running test loop $i"
+   echo "#                                           #"
+   echo "#############################################"
+   echo ""
+   cat /dev/null > ../output/logs/messaging-tests.trace.log
+   if ! ./runtest -remote -clustered; then
+		echo "Test failed on loop $i"
+      exit 1
+   fi
+done
+
+
+echo "#############################################"
+echo "#                                           #"
+echo "#      $count loops ran successfully" 
+echo "#                                           #"
+echo "#############################################"


Property changes on: branches/Branch_1_4/tests/bin/loop-clustered
___________________________________________________________________
Name: svn:executable
   + *




More information about the jboss-cvs-commits mailing list